org.apache.felix.scrplugin.helper

## Class ComponentContainer

- java.lang.Object
- - org.apache.felix.scrplugin.helper.ComponentContainer

    public class ComponentContainer
    extends Object

A `ComponentContainer` contains all relevant information about a component: - the class descriptor - the component descriptor - the service descriptor - reference descriptors - property descriptors

### Constructor Summary

Constructors
Constructor and Description
`ComponentContainer(ClassDescription classDescription, ComponentDescription componentDescription)` Create a new component container

### Method Summary

All Methods Instance Methods Concrete Methods
`ClassDescription` `getClassDescription()` Get the class description
`ComponentDescription` `getComponentDescription()` Get the component description
`MetatypeContainer` `getMetatypeContainer()`
`Map<String,PropertyDescription>` `getProperties()` Get all properties.
`Map<String,ReferenceDescription>` `getReferences()` Get all references.
`ServiceDescription` `getServiceDescription()` Get the service description.
`void` `setMetatypeContainer(MetatypeContainer ocd)`
`void` `setServiceDescription(ServiceDescription serviceDescription)` Set the service description
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComponentContainer

    public ComponentContainer(ClassDescription classDescription,
                              ComponentDescription componentDescription)

Create a new component container

Parameters:
  `classDescription` - Class description
  `componentDescription` - Component description

### Method Detail

#### getClassDescription

    public ClassDescription getClassDescription()

Get the class description

Returns:
  The class description

#### getComponentDescription

    public ComponentDescription getComponentDescription()

Get the component description

Returns:
  The component description

#### getReferences

    public Map<String,ReferenceDescription> getReferences()

Get all references. The references are put into the map by name. This map can be modified by clients.

Returns:
  The map of references

#### getProperties

    public Map<String,PropertyDescription> getProperties()

Get all properties. The properties are put into the map by name. This map can be modified by clients.

Returns:
  The map of properties

#### getServiceDescription

    public ServiceDescription getServiceDescription()

Get the service description.

Returns:
  The service description or `null`

#### setServiceDescription

    public void setServiceDescription(ServiceDescription serviceDescription)

Set the service description

Parameters:
  `serviceDescription` - The new service description

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getMetatypeContainer

    public MetatypeContainer getMetatypeContainer()

#### setMetatypeContainer

    public void setMetatypeContainer(MetatypeContainer ocd)